// 每一个存储的模块，命名规则use开头，store结尾
import { defineStore } from 'pinia'
export const useWorkshopStore = defineStore({
  id: 'workshop', // 必须指明唯一的pinia仓库的id
  state: () => {
    return {
		userData:{
			title: '123123',
			name: '123123',
			describe: '',
			id:'',
		},
		queryList:[]
    }
  },
  getters: {
    // doubleCount: (state) => state.num * 2
  },
  actions: {
    setLogin(data:any) {
		this.userData.title= data.title
		this.userData.name= data.name
		this.userData.describe= data.describe      
		this.userData.id= data.id      
		console.log(this.userData)
    },
    setQueryList(list:any) {
		this.queryList = list
    },
  }
})
